Bug 1419175 - [control-center] cannot add network printer
Summary: [control-center] cannot add network printer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 19:31 UTC by Joachim Frieben
Modified: 2018-12-04 01:50 UTC (History)
10 users (show)

Fixed In Version: system-config-printer-1.5.9-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 16:52:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Joachim Frieben 2017-02-03 19:31:33 UTC
Description of problem:
Current Fedora 26 ("rawhide") denies adding a network printer using gnome-control-center. After detecting and selecting the printer, a pop-up window shows up notifying the user "Failed to add new printer". When launched from the console, then gnome-control-center produced the following output:

"(gnome-control-center:4683): Gdk-WARNING **: gdkwindow-x11.c:5573 drawable is not a native X11 window

(gnome-control-center:4683): Gtk-WARNING **: Allocating size to GtkLabel 0x561c794d8180 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gnome-control-center:4683): Gtk-WARNING **: Allocating size to GtkLabel 0x561c794d84c0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(gnome-control-center:4683): printers-cc-panel-WARNING **: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.fedoraproject.Config.Printing: No such file or directory

(gnome-control-center:4683): printers-cc-panel-WARNING **: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute program org.fedoraproject.Config.Printing: No such file or directory

(gnome-control-center:4683): printers-cc-panel-WARNING **: Installation of the new printer failed.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged."

Version-Release number of selected component (if applicable):
control-center-3.22.1-3.fc26

How reproducible:
Always

Steps to Reproduce:
1. Discover and select network printer.

Actual results:
Procedure aborts notifying the user ("Failed to add new printer").

Expected results:
Upon selecting the network printer, the options window is opened.

Additional info:
This is a recent regression.

Comment 1 Joachim Frieben 2017-02-03 19:33:41 UTC
When trying to add the network printer, SELinux was running in permissive mode.

Comment 2 Marek Kašík 2017-02-06 15:15:25 UTC
This is probably a bug in system-config-printer. If I run this with system-config-printer-1.5.7-10 (recompiled version of what we have in F25 currently) then it doesn't fail.
I'm reassigning this to system-config-printer.

Comment 3 Fedora End Of Life 2017-02-28 11:10:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Marek Kašík 2017-03-03 10:33:10 UTC
Hi,

I've probably found the cause of this bug. There is "Exec=/usr/local/bin/scp-dbus-service" in /usr/share/dbus-1/services/org.fedoraproject~Printing.service on rawhide. Changing the path to "/usr/bin/scp-dbus-service" fixes the issue for me locally.

Comment 5 Zdenek Dohnal 2017-03-08 14:16:00 UTC
Hi Marek,

thank you for analyzing, the issue should be solved in version system-config-printer-1.5.9-3.fc26. It was issue in Makefile.

Comment 6 Fedora Update System 2017-03-08 14:21:51 UTC
system-config-printer-1.5.9-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ec42f7a3e

Comment 7 Fedora Update System 2017-03-10 23:21:59 UTC
system-config-printer-1.5.9-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ec42f7a3e

Comment 8 Fedora Update System 2017-04-01 16:52:16 UTC
system-config-printer-1.5.9-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 John Mart 2018-12-04 01:50:33 UTC
The issue with gnome printer configuration seems to persist in F29.  This bug report helped me solve the same issue described above in F29.  The gnome printer settings gives the "failed to add printer" message. However installing and running system-config-printer as described above allowed the local network printer to be added successfully.


Note You need to log in before you can comment on or make changes to this bug.